Page MenuHomePhabricator

Create a blacklist of user who can not use Special:GlobalRenameRequest
Open, HighPublic

Description

Please create a blacklist of users who can no longer use Special:GlobalRenameQueue. We're trying to address a situation where a user is requesting constantly to be renamed and have no way to deal with this other than blocking. Maybe a page in the MediaWiki space or a built-in system in the GRQ page... It is not the first case and probably would not be the final one.


Proposed in Community-Wishlist-Survey-2016. Received 38 support votes, ranked #37 out of 265 proposals. View full proposal with votes and discussion here.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Teles added a subscriber: Teles.Jun 6 2015, 7:15 PM
Stryn added a subscriber: Stryn.Jun 7 2015, 4:52 PM
Vituzzu added a subscriber: Vituzzu.Jun 7 2015, 5:03 PM

I think title blacklist-like one would be better. Regexp could me useful in several situations.

Hmm... @MarcoAurelio might have a good point (not clear on the details of GlobalRenameQueue, but it sounds valid) - but @Vituzzu, doesn't AbuseFilter let you use regexp?

doesn't AbuseFilter let you use regexp?

Abusefilter is consuming conditions, and the condition limit can be exceeded. Not sure if abusefilter should be used as blacklist.

Are those users active? Or why is block unsuitable?

As described in the initial task, we don't want to block them, just stop renaming them.
@Nemo_bis

@Vituzzu, doesn't AbuseFilter let you use regexp?

Yep, but as Steinsplitter says it's better to avoid consuming conditions. Anyway anything allowing us to prevent requests from some users and maybe show them a custom error message will work for me!

Xeno added a subscriber: Xeno.Jun 18 2015, 3:54 PM

Somewhat related; can we have the interface show a warning when the requesting user is blocked on any project? (and maybe if there are block logs- but definitely active blocks)

Somewhat related; can we have the interface show a warning when the requesting user is blocked on any project? (and maybe if there are block logs- but definitely active blocks)

Please use separate tasks for separate requests. Filed as T102975: Special:GlobalRenameQueue should show block information about the local user

Hello. Lately this is becoming more a need rather than a simple feature. I'd advocate for a special page (something like Special:GlobalRenameBlacklist) where users with centralauth-rename rights could add and remove there users. Users in that list will be given an error message when accessing Special:GlobalRenameRequest, and also should show a warning to stewards and global renamers when performing manual requests of rename requests lodged at Meta. A plus would be if the list supported also regex and if we could set those blacklist entries to expire on a given date, as Special:Block works. Regards.

Or why is block unsuitable?

I'd still like an answer.

Or why is block unsuitable?

I'd still like an answer.

Because it would be an overkill.

And also useless. Nothing prevents the user going to other wiki, access the
renamerequest page and submit it through there. In any case, block seems
overkill for this.

Blocked users are allowed to access this page as there are cases where blocked users should be able to ask for a rename (eg. promo usernames)

Nemo_bis added a comment.EditedApr 3 2016, 9:27 AM

I said "block" considering T17294, but with current tools of course I mean "lock". Replacing "unsuitable" with a synonym is not an answer to my question. Why would a lock be unsuitable/overkill, do those users need to be left access for any allowed action?

Blocked users are allowed to access this page

But not locked users, I assume.

there are cases where blocked users should be able to ask for a rename (eg. promo usernames)

Are promo usernames being locked?

I said "block" considering T17294, but with current tools of course I mean "lock". Replacing "unsuitable" with a synonym is not an answer to my question. Why would a lock be unsuitable/overkill, do those users need to be left access for any allowed action?

Lock is even worse! It's an overoverkill because most of people asking a rename/month are not disruptive onwiki.

I propose to create a Special:GlobalRenameBlacklist for users with the global-rename right to be able to manage on Meta-Wiki. When one user requests through Special:GlobalRenameRequest on any wiki, the system should check against the blacklist and return an error message such as "You're not allowed to request a global rename" or something more descriptive. Maybe we can make the entries in the list to work as blocks, with expiry and custom blacklist reasons. Just my two cents. Would that be hard to achieve? Thanks.

@Qgil @Wwes Can we have some resources / personnel allocated for this? Thanks!

MarcoAurelio renamed this task from Please create a blacklist of user who can not use Special:GlobalRenameQueue to Please create a blacklist of user who can not use Special:GlobalRenameRequest.Nov 3 2016, 1:51 PM

Concur with @Qgil and it aligns to potential resources and personnel through that effort. @Tnegrin please chime in as appropriate.

I think hooking into the global title blacklist might be the simplest solution here.

Lock is even worse! It's an overoverkill because most of people asking a rename/month are not disruptive onwiki.

It's difficult for me to discern the real use-cases here. Are you trying to prevent abusive users from making rename requests or are you trying to rate-limit good-faith users who request renames "too often"?

The user rename process should not involve stewards or bureaucrats or any other user group, as far as I'm concerned. The fact that we've created this pile of bureaucracy for what every other site (Twitter, Facebook, etc.) allow users to do themselves is insane.

@MZMcBride We already know your views that renaming should not involve anyone and that any user should be able to rename himself by accessing their preferences. But by fortune or disgrace, this is not the system we use at WMF sites :)

That said, good faith users asking for renames too often are manageable. What we do need is a system to prevent stubborn insistent users from requesting renames over and over because they think this is a game, or do so disruptively.

Blocking is not the solution because the user may or may not be productive in other areas, but because: a) we should allow blocked users to request renames as some blocks are for username violations and b) it's overkill and nothing prevents him to go to other project and access the request page and go on flooding us with such requests.

A blacklist for recurrent rename requesters might be a good start. While not perfect, we might be able to stop some of those users. We should maybe address the problem of their sockpuppets too. Any ideas for that?

Blocking is not the solution because the user may or may not be productive in other areas, but because: a) we should allow blocked users to request renames as some blocks are for username violations and b) it's overkill and nothing prevents him to go to other project and access the request page and go on flooding us with such requests.

We have https://meta.wikimedia.org/wiki/Title_blacklist that applies to all public Wikimedia wikis. This blacklist supports regex, provides a timestamp of actions (albeit via the page history), supports comments using #, and it's not specific to a single wiki, though we do have local/per-wiki whitelists. I think the global title blacklist meets most of your requirements laid out in this task. Are there any requirements or feature requests I'm missing?

Each entry in the global title blacklist can have associated attributes such as newaccountonly. We could create an attribute such as globalrenamerequestonly. Given that the title blacklist extension is already deployed everywhere and already has most of the features you want, adding an attribute would probably be straightforward to implement.

A blacklist for recurrent rename requesters might be a good start. While not perfect, we might be able to stop some of those users. We should maybe address the problem of their sockpuppets too. Any ideas for that?

I'm not sure any solution will address sockpuppet accounts directly.

This seems rather hasty given that we haven't seen how well (or not) T101080: Add relevant logentry or warning to Special:GlobalRenameQueue works.

Are we deeming this as not useful?


Anyways, if we're set on having a blacklist, I suppose I can just implement that. What is the user experience supposed to be? Do we show them a message saying that they are blocked from making rename requests or black hole their request?

DannyH added a subscriber: DannyH.Nov 3 2016, 10:05 PM

most of people asking a rename/month are not disruptive onwiki

Thanks, this answers my question. How many are they? Did someone talk with them?

K6ka added a subscriber: K6ka.Nov 6 2016, 12:53 PM

Thanks, this answers my question. How many are they? Did someone talk with them?

I once had one user trying to be renamed for numerous times. First 3 rename request were granted, but fourth request was denied because he was an established community member by then and changing username on few months basis will confuse other community members.

I talked to the user advising "You should stick to one username. We may deny your future rename request." I believe he requested username change after some months, but I can't check it because GlobalRenameQueue/closed is inaccessible for now. In the end, he abandoned the account for "clean start".

Also, I can see at least 5 rename-ban request on global-renamer mailing list.

This task was proposed in the Community-Wishlist-Survey-2016 and in its current state needs owner. Wikimedia is participating in Google Summer of Code 2017 and Outreachy Round 14. To the subscribers -- would this task or a portion of it be a good fit for either of these programs? If so, would you be willing to help mentor this project? Remember, each outreach project requires a minimum of one primary mentor, and co-mentor.
Huji renamed this task from Please create a blacklist of user who can not use Special:GlobalRenameRequest to Create a blacklist of user who can not use Special:GlobalRenameRequest.Feb 28 2017, 2:28 AM

Anyways, if we're set on having a blacklist, I suppose I can just implement that. What is the user experience supposed to be? Do we show them a message saying that they are blocked from making rename requests or black hole their request?

This is still waiting for a response.

A message telling them that they're blocked from making rename requests would be more user-friendly IMHO, pointing them to m:Talk:SRUC for questions. Thanks.

DoRD added a subscriber: DoRD.Apr 3 2017, 1:55 PM
srishakatux updated the task description. (Show Details)Apr 14 2017, 2:21 AM

I'm not sure how many times an average or a good faith user would make a rename request, but I'm wondering if there should be a solution that does not require creating a blacklist of users and works for everybody. Allow each user to be able to request rename only a specific number of times (3-5). Display a clear message about the same on this page, and a friendly error message when then they go beyond the set limit.

Also, looks like @Legoktm, you are planning on working on this in the near future, so may not be a good idea showcasing this for the hackathon, right?

In the end, he abandoned the account for "clean start".

Sounds like locking the user would have had the same result then. :)

Daimona added a subscriber: Daimona.

AF is not the right way for this. Personally I like MZMcBride's idea of hooking to titleblacklist, or use an internal right to determine whether the use may use the tool.

Rxy added a subscriber: Rxy.May 5 2018, 4:02 AM
DoRD removed a subscriber: DoRD.Sep 4 2018, 4:33 PM

Mentioned this in the task above, but finding some way to prevent users from getting a rename, whether it be at the request level or at the level where someone renames them really is needed. This is becoming an increasingly larger issue as the Wikimedia movement is becoming more diverse and we don't have a rename team that has enough representation from all projects that requests which should not be approved are slipping through and the only way to raise an issue currently is via the mailing list.

1997kB added a subscriber: 1997kB.Feb 23 2019, 4:14 PM
Nihlus added a subscriber: Nihlus.Feb 23 2019, 4:24 PM
Urbanecm claimed this task.Mon, Aug 5, 2:29 PM
Urbanecm added a subscriber: Urbanecm.

Let's do this

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMon, Aug 5, 2:29 PM

Change 528155 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/CentralAuth@master] Introduce a blacklist of users who cannot use Special:GlobalRenameRequest

https://gerrit.wikimedia.org/r/528155